Redmine - Patch #24649

Make Spent time clickable in issue lists
2016-12-19 17:44 - Olivier Houdas

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version: 3.4.0

Description

In Issue lists, User, Version or Project fields are clickable to take the user to the relevant page, and not to the issue page itself.
It would make sense to also make the Spent time values clickable to take the user to the details of the logged time.

A patch to do it is attached.

Associated revisions

Revision 16204 - 2017-01-15 17:29 - Jean-Philippe Lang
Make Spent time clickable in issue lists (#24649).

Patch by Go MAEDA.

History

#1 - 2016-12-30 02:55 - Go MAEDA

Thank you for submitting the patch but it cannot be applied cleanly to the current trunk (r16111).
source:trunk/app/helpers/queries_helper.ro@16101#L192

#2 - 2017-01-02 10:18 - Olivier Houdas
- File Clickable-spent-time-in-issue-lists-Redmine-trunk-2016-12-14.patch added

OK, in that case, the patch would be as attached (sorry, I'm using Mercurial, so I'm a bit behind the subversion commits)

#3 - 2017-01-09 05:20 - Go MAEDA
- File clickable-spent-time-in-issue-lists-v3.diff added

- Target version set to Candidate for next major release

Since the patch by Olivier Houdas cannot be applied to the current trunk (r16166) for the following reasons, | have updated the patch.

e The variable name "issue" was renamed to "item" by #24643
e issue_time_entries_path for GET request has been droped in r15644

And changed link destination for "Spent time" and "Total spent time".

® "Spent time" -> /projects/xxx/time_entries?issue_id=nn (Issue is #nn)
e "Total spent time" -> /projects/xxx/time_entries?issue_id=nn (Issue contains #nn)

#4 - 2017-01-13 02:46 - Go MAEDA

- File spent-time-clickable.png added

- File after-clicking-spent-time.png added

- File after-clicking-total-spent-time.png added

- Target version changed from Candidate for next major release to 3.4.0

| suggest including this feature in Redmine 3.4.0.

Clickable spent time in issues list:
https://www.redmine.org/projects/redmine/repository/svn/revisions/16111
https://www.redmine.org/projects/redmine/repository/svn/revisions/16101/entry/trunk/app/helpers/queries_helper.rb#L192
https://www.redmine.org/projects/redmine/repository/svn/revisions/16166
https://www.redmine.org/issues/24643
https://www.redmine.org/projects/redmine/repository/svn/revisions/15644

Issues © New lssue
# Filters
Status open Add filker
» Options
« Apply @ Clear o Save
# &  Tracker Status Priority Subject Spent tim Total spent time
30 Bug MNew Normal parent 1.00 6.00 |
31 Bug MNew Narmal » subtask 1 2.00 2.00
32 Bug Mew Normal » subtask 2 3.00 3.00
After clicking on spent time:
Users are navigated to: /projects/xxx/time_entries?issue_id=nn (Issue is #nn)
Spent time 4 Log time
» Filters
Date any i Add filter [
Issue is [~ 30
+ Options
« Apply @ Clear |4 Save
Details  Report
Hours: 1.00
Date = User Activity Issue Comment Hours
01/13/2017 Redmine Admin Development Bug #30: parent 1.00
After clicking on total spent time:
Users are navigated to: /projects/xxx/time_entries?issue_id=nn (Issue contains #nn)
Spent time 2 Log time
» Filters
Date any - Add filter %]
Issue contains u 30
» Options
« Apply ‘@ Clear | Save
Details || Report
Hours: 6.00
Date - User Activity Issue Comment Hours
01/13/2017 Redmine Admin Development Bug #32: subtask 2 3.00
01/13/2017 Redmine Admin Development Bug #31: subtask 1 2.00
01/13/2017 Redmine Admin Development Bug #30: parent 1.00

#5 - 2017-01-13 13:00 - Robert Korulczyk

Related: #20661

#6 - 2017-01-15 17:29 - Jean-Philippe Lang
https://www.redmine.org/issues/20661

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

Files

Clickable-spent-time-in-issue-lists-Redmine-3.3.1.patch 881 Bytes 2016-12-19 Olivier Houdas
